## ros-melodic-master-sync-fkie 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(master_sync_fkie)
find_package(catkin REQUIRED COMPONENTS master_discovery_fkie multimaster_msgs_fkie)

catkin_package(CATKIN_DEPENDS master_discovery_fkie multimaster_msgs_fkie)
catkin_python_setup()

install(
    PROGRAMS
        nodes/master_sync
        nodes/param_sync.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(
    DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-master-sync-fkie (0.8.12-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-melodic-master-sync-fkie (0.8.11-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.10-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.9-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.8-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.7-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.5-0bionic) bionic; urgency=high

  * master_sync_fkie: added a simple node to sync parameter
    Original code from
    https://github.com/jhu-lcsr-forks/multimaster_fkie/tree/param-sync
    adapted to change only local ROS Parameter Server
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.4-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.3-0bionic) bionic; urgency=high

  * install launch dir pull request #81 <https://github.com/fkie/multimaster_fkie/issues/81> from ahoarau/patch-1
  * Contributors: Alexander Tiderko, Antoine Hoarau

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.8.2-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-melodic-master-sync-fkie (0.8.1-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-melodic-master-sync-fkie (0.8.0-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.8-0bionic) bionic; urgency=high

  * Fix catkin_lint warnings
  * Contributors: Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-melodic-master-sync-fkie (0.7.7-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.6-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.5-0bionic) bionic; urgency=high

  * master_sync_fkie: changed default filter for sync nodes, see issue #63 <https://github.com/fkie/multimaster_fkie/issues/63>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.4-0bionic) bionic; urgency=high

  * master_sync_fkie: fixed sync_hosts parameter
  * added description how to filter for specific hosts
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.3-0bionic) bionic; urgency=high

  * fixed warnings in API documentation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-melodic-master-sync-fkie (0.7.2-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-melodic-master-sync-fkie (0.7.1-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-melodic-master-sync-fkie (0.7.0-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 08 Jan 2017 23:00:00 -0000

ros-melodic-master-sync-fkie (0.6.2-0bionic) bionic; urgency=high

  * Increased logging in master sync.
    Added more logging around synchronization to help with
    tracking changes in the local ROS master due to multimaster.
  * Drop roslib.load_manifest, unneeded with catkin
  * Contributors: Alexander Tiderko, Denise Eng, Mike Purvis

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 11 Nov 2016 23:00:00 -0000

ros-melodic-master-sync-fkie (0.6.1-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Oct 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.6.0-0bionic) bionic; urgency=high

  * master_sync_fkie: updated launch file
  * master_sync_fkie: added a 'resync_on_reconnect_timeout' parameter that controls how long the offline-online period is before the resync. see enhancement #48 <https://github.com/fkie/multimaster_fkie/issues/48>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 11 Oct 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.5.8-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 09 Sep 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.5.7-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.5.6-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 31 Aug 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.5.5-0bionic) bionic; urgency=high

  * master_sync_fkie: added resync after the host was offline
  * master_sync_fkie: fixed pep8 warnings
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Aug 2016 22:00:00 -0000

ros-melodic-master-sync-fkie (0.5.4-0bionic) bionic; urgency=high



=== debian/control ===
Source: ros-melodic-master-sync-fkie
Section: misc
Priority: extra
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-master-discovery-fkie, ros-melodic-multimaster-msgs-fkie
Homepage: http://ros.org/wiki/master_sync_fkie
Standards-Version: 3.9.2

Package: ros-melodic-master-sync-fkie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-master-discovery-fkie, ros-melodic-multimaster-msgs-fkie, ros-melodic-rosgraph, ros-melodic-roslib, ros-melodic-rospy
Description: Synchronize the local ROS master to the remote masters discovered by master_discovery_fkie node.
 The registration of topics and services is only perform by local ROS master.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-master-sync-fkie//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
